Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.conversion
Interface ObjectTypeDeterminer

All Known Implementing Classes:
  DefaultObjectTypeDeterminer, GenericsObjectTypeDeterminer, MockObjectTypeDeterminer

    public interface ObjectTypeDeterminer

Determines what the key and and element class of a Map or Collection should be. For Maps, the elements are the values. For Collections, the elements are the elements of the collection.

See the implementations for javadoc description for the methods as they are dependent on the concrete implementation.

Author:
  Gabriel Zimmerman

Method Summary
`java.lang.Class` | `getElementClass(java.lang.Class parentClass, java.lang.String property, java.lang.Object key)`
`java.lang.Class` | `getKeyClass(java.lang.Class parentClass, java.lang.String property)`
`java.lang.String` | `getKeyProperty(java.lang.Class parentClass, java.lang.String property)`
`boolean` | `shouldCreateIfNew(java.lang.Class parentClass, java.lang.String property, java.lang.Object target, java.lang.String keyProperty, boolean isIndexAccessed)`

Method Detail

### getKeyClass

    java.lang.Class getKeyClass(java.lang.Class parentClass,
                                java.lang.String property)

### getElementClass

    java.lang.Class getElementClass(java.lang.Class parentClass,
                                    java.lang.String property,
                                    java.lang.Object key)

### getKeyProperty

    java.lang.String getKeyProperty(java.lang.Class parentClass,
                                    java.lang.String property)

### shouldCreateIfNew

    boolean shouldCreateIfNew(java.lang.Class parentClass,
                              java.lang.String property,
                              java.lang.Object target,
                              java.lang.String keyProperty,
                              boolean isIndexAccessed)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.